-- MySQL dump 10.13  Distrib 5.7.27, for FreeBSD11.2 (amd64)
--
-- Host: 172.25.7.13    Database: 
-- ------------------------------------------------------
-- Server version	5.7.27

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `net_snmp`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `net_snmp` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `net_snmp`;

--
-- Table structure for table `notifications`
--

DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notifications` (
  `trap_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `date_time` datetime NOT NULL,
  `host` varchar(255) NOT NULL,
  `auth` varchar(255) NOT NULL,
  `type` enum('get','getnext','response','set','trap','getbulk','inform','trap2','report') NOT NULL,
  `version` enum('v1','v2c','unsupported(v2u)','v3') NOT NULL,
  `request_id` int(11) unsigned NOT NULL,
  `snmpTrapOID` varchar(1024) NOT NULL,
  `transport` varchar(255) NOT NULL,
  `security_model` enum('snmpV1','snmpV2c','USM') NOT NULL,
  `v3msgid` int(11) unsigned DEFAULT NULL,
  `v3security_level` enum('noAuthNoPriv','authNoPriv','authPriv') DEFAULT NULL,
  `v3context_name` varchar(32) DEFAULT NULL,
  `v3context_engine` varchar(64) DEFAULT NULL,
  `v3security_name` varchar(32) DEFAULT NULL,
  `v3security_engine` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`trap_id`),
  KEY `trap_id_idx1` (`trap_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=91971071 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `varbinds`
--

DROP TABLE IF EXISTS `varbinds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `varbinds` (
  `trap_id` int(11) unsigned NOT NULL DEFAULT '0',
  `oid` varchar(1024) NOT NULL,
  `type` enum('boolean','integer','bit','octet','null','oid','ipaddress','counter','unsigned','timeticks','opaque','unused1','counter64','unused2') NOT NULL,
  `value` blob NOT NULL,
  KEY `trap_id` (`trap_id`),
  CONSTRAINT `trap_id_fk` FOREIGN KEY (`trap_id`) REFERENCES `notifications` (`trap_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

